Adds Discord Rich Presence functionality to Risk of Rain 2.

## Features
- Displays the current stage's icon, name, and subtitle, the currently selected difficulty, the currently selected character, and the current run time.
- Has a unique presence for different menu states (currently idling in the menu, choosing a character, and reading the logbook).
- Allows invitation of users via Discord.

A plethora of options are provided to fine-tune the presence settings, such as whether or not to show the currently fought boss, the teleporter charge status, include a custom menu idle message, and more.

## Images
Selecting a character

![Selecting a character](https://cdn.discordapp.com/attachments/697901894999474308/992475444295237692/unknown.png)

Playing in a stage

![Playing in a stage](https://cdn.discordapp.com/attachments/697901894999474308/992475537584963735/unknown.png)

Idling in a lobby

![Idling in a lobby](https://cdn.discordapp.com/attachments/697901894999474308/992475648675303445/unknown.png)

Invitation via Discord

![Invitation via Discord](https://cdn.discordapp.com/attachments/697901894999474308/992476608474644570/unknown.png)

## Changelog

1.0.1
- (Re)Release

## Credits

- Some stage photos are provided by [The Risk of Rain 2 Fandom Wiki](https://riskofrain2.fandom.com/wiki/Risk_of_Rain_2_Wiki) under [CC BY-NC-SA 3.0](https://www.fandom.com/licensing).
- Initial repository code taken from [DarkKronicle's fork](https://github.com/DarkKronicle/RoR2-Discord-RP) of [WhelanB's repository](https://github.com/WhelanB/RoR2-Discord-RP) (if you are either of these users and have issue with me using your code, please do contact me!).